# List Endpoints

> Webhooks API, GET /endpoint: List the application's endpoints.

`GET /endpoint` on the Webhooks API. Base URL: `https://api.sinay.ai/webhook/api/v1`.

List the application's endpoints.

## Query parameters

::api-parameters{location="query"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | integer (uint64) | No | Limit the number of returned items. |
| `iterator` | string, nullable | No | The iterator returned from a prior invocation. Example: `ep_1srOrx2ZWZBpBUvZwXKQmoEYga2`. |
| `order` | string, nullable | No | The sorting order of the returned items. |
::

## Responses

::api-response
---
status: "200"
description: ""
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | array of object | Yes | — |
| `data[].id` | string | Yes | The ep's ID. |
| `data[].metadata` | object | Yes | Optional additional properties for your endpoint. |
| `data[].metadata.<key>` | string | No | — |
| `data[].description` | string | Yes | An example endpoint name. |
| `data[].rateLimit` | integer (uint16), nullable | No | Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks. |
| `data[].uid` | string, nullable | No | Optional unique identifier for the endpoint. |
| `data[].url` | string (uri) | Yes | Public url in your services where you plan to receive our webhooks. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/. |
| `data[].version` | integer (int32) | Yes | — |
| `data[].disabled` | boolean | No | When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: `false`. |
| `data[].filterTypes` | array of string, nullable | No | — |
| `data[].channels` | array of string, nullable | No | List of message channels this endpoint listens to (omit for all). |
| `data[].createdAt` | string (date-time) | Yes | — |
| `data[].updatedAt` | string (date-time) | Yes | — |
| `iterator` | string, nullable | No | — |
| `prevIterator` | string, nullable | No | — |
| `done` | boolean | Yes | — |

::

::api-response
---
status: "403"
description: Forbidden
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "404"
description: Not Found. No application found.
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "429"
description: Too Many Requests
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "500"
description: Internal Error
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::
